/*
 *  Copyright (C) 1998,9 by Marco G"otze.
 *
 *  This code is part of the wmpinboard source package, which is
 *  distributed under the terms of the GNU GPL2.
 */

#ifndef WMPINBOARD_H_INCLUDED
#define WMPINBOARD_H_INCLUDED

#include <X11/Xlib.h>

#define VERSION "0.7 (10 Jan 99)"

#define MAX_NOTES 20
#define TIMEOUT 60 /* idle time after which edit mode is terminated; 0 = off */

#define STRING_BUF_SIZE 128
#define C_NUM 20    /* number of colors */
#define C_OUTER 62  /* mask color (interior of notes etc.) */
#define C_INNER 63  /* mask color (exterior of notes etc.) */

#define M_NOOP 0  /* program modes... */
#define M_EDIT 1
#define M_MOVE 2

typedef struct {
  int col;
  int x, y;
  char text[10*6];
} data_t;

extern Display *display;
extern XImage *palette, *char_img, *board_img, *note_img;

#endif  /* WMPINBOARD_H_INCLUDED */

